% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dearseq_package.R
\docType{package}
\name{dearseq-package}
\alias{dearseq}
\alias{dearseq-package}
\title{dearseq: Differential Expression Analysis for RNA-seq data through a robust 
       variance component test}
\description{
\if{html}{\figure{logo.png}{options: align='right' alt='logo' width='120'}}

Differential Expression Analysis RNA-seq data with variance 
             component score test accounting for data heteroscedasticity through
             precision weights. Perform both gene-wise and gene set analyses, 
             and can deal with repeated or longitudinal data. Methods are 
             detailed in: Agniel D & Hejblum BP (2017) Variance component score 
             test for time-course gene set analysis of longitudinal RNA-seq 
             data, Biostatistics, 18(4):589-604. and Gauthier M, Agniel D, 
             Thiébaut R & Hejblum BP (2019). dearseq: a variance component 
             score test for RNA-Seq differential analysis that effectively 
             controls the false discovery rate, *bioRxiv* 635714.
}
\details{
Analysis of RNA-seq data with variance component score
test accounting for data heteroscedasticity through precision weights.
Performs gene-wise analysis as well as gene set analysis, including for
complex experimental designs such as longitudinal data.

\tabular{ll}{
Package: \tab dearseq\cr
Type: \tab Package\cr
Version: \tab 1.0.0\cr
Date: \tab 2020-04-04\cr
License:\tab \href{http://www.gnu.org/licenses/gpl-2.0.txt}{GPL-2}\cr
}
The two main functions of the \code{dearseq} package are
\code{\link{dear_seq}} and \code{\link{dgsa_seq}}.
}
\references{
Agniel D & Hejblum BP (2017). Variance component score test for
time-course gene set analysis of longitudinal RNA-seq data,
\emph{Biostatistics}, 18(4):589-604.
\href{https://doi.org/10.1093/biostatistics/kxx005}{DOI: 10.1093/biostatistics/kxx005}.
\href{https://arxiv.org/abs/1605.02351}{arXiv:1605.02351}.

Gauthier M, Agniel D, Thiébaut R & Hejblum BP (2019). dearseq: a variance
component score test for RNA-Seq differential analysis that effectively
controls the false discovery rate, \emph{635714}.
\href{https://www.biorxiv.org/content/10.1101/635714v1}{DOI: 10.1101/635714v1}
}
\seealso{
Useful links:
\itemize{
  \item Report bugs at \url{https://github.com/borishejblum/dearseq/issues}
}

}
\author{
\strong{Maintainer}: Boris P. Hejblum \email{boris.hejblum@u-bordeaux.fr}

Authors:
\itemize{
  \item Denis Agniel \email{denis.agniel@gmail.com}
  \item Marine Gauthier \email{marine.gauthier@u-bordeaux.fr}
}

}
